[ECOS] FW: Adding flash device using the flash v2 drivers

Andrew Lunn andrew@lunn.ch
Mon Dec 22 23:29:00 GMT 2008


On Mon, Dec 22, 2008 at 11:46:46PM +0100, Alex Lindeijer wrote:
> Hi again
> I'm still struggeling with the use of flash v2.
> In my install directory I see: #define CYGHWR_IO_FLASH_DEVICE 2 , i.e. expects 2 devices. What is causing this define? My .ecc has an entry:
> 
> # >
> # Hardware FLASH device drivers
> # This calculated option gives the number of flash devices
> # on the current platform. The generic flash support requires
> # at least one device.
> #
> cdl_interface CYGHWR_IO_FLASH_DEVICE {
>     # Implemented by CYGPKG_DEVS_FLASH_POWERPC_PYTHON, active, enabled
>     # Implemented by CYGPKG_DEVS_FLASH_AMD_AM29XXXXX_V2, active, enabled

These two statements are your clue. You have two device drivers
loaded, both which are implementing CYGHWR_IO_FLASH_DEVICE.

I'm guessing one of these should not have the implements statement in
its CDL, probably the PYTHON one wants to be removed. However since
the PYTHON driver is not in anonymous CVS i cannot say.

      Andrew

-- 
Before posting, please read the FAQ: http://ecos.sourceware.org/fom/ecos
and search the list archive: http://ecos.sourceware.org/ml/ecos-discuss



More information about the Ecos-discuss mailing list